---
agentTools:
  projectIndex: https://developers.pipefy.com/llms.txt
---

# Update tags Visibility by Category

Update the visibility settings of all the tags in a category.

## Before You Begin

🔗 **Use the [GraphQL Playground](https://app.pipefy.com/graphiql)** to execute the queries in this guide.

➡️ **New to GraphQL?** Learn how to navigate the Playground with our **[Playground Basics Guide](https://developers.pipefy.com/reference/exploring-the-playground)**.

## Prerequisites

1. **Authentication**: Use a [Service Account token](https://developers.pipefy.com/reference/service-accounts).
2. **Permissions**: Your token must include admin or super admin permissions in the target organization.
3. **Tag Category UUID**: You must include the UUID of the category. Refer to to [How to get resources Ids](../query-tips-examples/00-get-resource-ids.md) to find the Tag Category UUID

## Mutation Example

```graphql
mutation {
  updateTagsVisibilityByCategory(input: {
    tagCategoryUuid: "uuid",
    visibleToMembers: true
  }) {
    success
  }
}
```

### Input Fields

* **tagCategoryUuid**: UUID of the tag category of the tags you want to change the visibility.
* **visibleToMembers**: If the tags will be visible to members. Must be `true` or `false`.

### Response Fields

* **success**: If the operation was successful.

### Response Example

```json
{
  "data": {
    "updateTagsVisibilityByCategory": {
      "success": true
    }
  }
}
```

This mutation allows you to efficiently set the visibility of all the tags inside a category at once.